package com.java2s.common;

import java.io.IOException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;


public class App {
	private static final String XML_FILE_NAME = "customer.xml";

	public static void main(String[] args) throws IOException {
		ApplicationContext appContext = new ClassPathXmlApplicationContext("SpringBeans.xml");
		XMLConverter converter = (XMLConverter) appContext.getBean("XMLConverter");

		Employee customer = new Employee();
		customer.setName("java2s");
		customer.setAge(99);
		customer.setTrained(true);
		customer.setAddress("This is address");

		//from object to XML file
		converter.convertFromObjectToXML(customer, XML_FILE_NAME);

		//from XML to object
		Employee customer2 = (Employee)converter.convertFromXMLToObject(XML_FILE_NAME);
		System.out.println(customer2);


	}
}